

%define gwenviewlib_major 4
%define libgwenviewlib %mklibname gwenviewlib %gwenviewlib_major

Name: gwenview
Summary: Fast and easy to use image viewer for KDE
Version: 18.08.2
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2
URL: http://www.kde.org
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz
Patch0: gwenview-4.14.3-bko-default-jpeg-quality-to-95.patch
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------

BuildRequires: baloo5-devel 
BuildRequires: jpeg-devel

BuildRequires: %{_lib}lcms2-devel
BuildRequires: %{_lib}exiv2-devel

BuildRequires: kio-devel
BuildRequires: karchive-devel
BuildRequires: kdelibs4support-devel
BuildRequires: kactivities5-devel

BuildRequires: libkf5exiv2-devel
BuildRequires: libkf5dcraw-devel
BuildRequires: libkipi-devel

BuildRequires: kfilemetadata5-devel

Requires:        kdelibs4support
Requires:        kio
Requires:        kio-extras
Requires:        kinit
Requires:        breeze
Requires:        kded
Requires:        qtimageformats5
Requires:        kimageformats


%description
Gwenview is a fast and easy to use image viewer/browser for KDE.
All common image formats are supported, such as PNG(including transparency),
JPEG(including EXIF tags and lossless transformations), GIF, XCF (Gimp
image format), BMP, XPM and others. Standard features include slideshow,
fullscreen view, image thumbnails, drag'n'drop, image zoom, full network
transparency using the KIO framework, including basic file operations and
browsing in compressed archives, non-blocking GUI with adjustable views.
Gwenview also provides image and directory KParts components for use e.g. in
Konqueror. Additional features, such as image renaming, comparing,
converting, and batch processing, HTML gallery and others are provided by the
KIPI image framework.

%files
%_kf5_bindir/gwenview
%_qt5_plugindir/gvpart.so
%_kf5_datadir/applications/org.kde.gwenview.desktop
%_kf5_datadir/gwenview
%_iconsdir/*/*/*/*
%_kf5_services/ServiceMenus/slideshow.desktop
%_kf5_services/gvpart.desktop
%_kf5_datadir/kxmlgui5/gvpart
#------------------------------------------------------------------------------
%_kf5_libdir/libgwenviewlib.so.%{gwenviewlib_major}*
%_kf5_libdir/libgwenviewlib.so.5
#------------------------------------------------------------------------------
%_kf5_datadir/metainfo/org.kde.gwenview.appdata.xml
%_kf5_datadir/locale

%_kf5_bindir/gwenview_importer
#%_kf5_datadir/kxmlgui5/gwenview/gwenviewui.rc
%_kf5_datadir/solid/actions/gwenview_importer.desktop
%_kf5_datadir/solid/actions/gwenview_importer_camera.desktop
%_kf5_datadir/kconf_update/gwenview.upd
/usr/share/kconf_update/gwenview-imageview-alphabackgroundmode-update.pl

%package handbook
Summary: Gwenview handbook
Requires:  %name
BuildArch: noarch
Group: Documentation

%description handbook
This package provides the gwenview handbook.

%files handbook
%doc %_docdir/HTML
#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%changelog
* Sun Dec 23 2018 adrianomorselli <adrianomorselli> 18.08.2-1uplos2018
- update
